Home Download Purchase Support
 
Lotto Sorcerer Lotto Sorcerer


Home Frequently Asked Questions Contact Us
Home Frequently Asked Questions Contact Information

System Requirements of Lotto Sorcerer's Apprentice

Windows

  • Intel or AMD Athlon processor
  • Windows XP, Windows Vista, Windows 7, Windows 8 (and 8.1), Windows 10

Mac OS X

  • Intel Macintosh (10.4 ["Tiger"] to 10.11 ["El Capitan"])
  • PowerPC Macintosh (10.4 ["Tiger"] to 10.5 ["Leopard"])

macOS

  • Intel Macintosh (10.12 ["Sierra"] to 10.14 ["Mojave"])